Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Character.Subset

    java.lang.Object
      |
      +--java.lang.Character.Subset

Direct Known Subclasses:
  Character.UnicodeBlock, InputSubset

Enclosing class:
  Character

public static class Character.Subset
extends Object

Instances of this class represent particular subsets of the Unicode character set. The only family of subsets defined in the `Character` class is ``UnicodeBlock``. Other portions of the Java API may define other subsets for their own purposes.

Since:
  1.2

Constructor Summary
`protected` | `Character.Subset(String name)` Constructs a new `Subset` instance.

Method Summary
`boolean` | `equals(Object obj)` Compares two `Subset` objects for equality.
`int` | `hashCode()` Returns the standard hash code as defined by the ``Object.hashCode()`` method.
`String` | `toString()` Returns the name of this subset.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Character.Subset

    protected Character.Subset(String name)

  Constructs a new `Subset` instance.
  Parameters:
    `name` - The name of this subset

Method Detail

### equals

    public final boolean equals(Object obj)

  Compares two `Subset` objects for equality. This method returns `true` if and only if `x` and `y` refer to the same object, and because it is final it guarantees this for all subclasses.
  Overrides:
    `equals` in class `Object`
  Following copied from class: `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Boolean.hashCode()`, `Hashtable`

### hashCode

    public final int hashCode()

  Returns the standard hash code as defined by the ``Object.hashCode()`` method. This method is final in order to ensure that the `equals` and `hashCode` methods will be consistent in all subclasses.
  Overrides:
    `hashCode` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### toString

    public final String toString()

  Returns the name of this subset.
  Overrides:
    `toString` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.